Bug 51220 - Add system property that makes it possible for jsp pages with the extends page directive to take advantage of tag pooling
Add system property that makes it possible for jsp pages with the extends pag...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Jasper
6.0.32
PC Linux
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-05-18 15:42 UTC by Daniel Mikusa
Modified: 2011-06-28 23:22 UTC (History)
1 user (show)



Attachments
Patch file (1.44 KB, patch)
2011-05-18 15:42 UTC, Daniel Mikusa
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Mikusa 2011-05-18 15:42:54 UTC
Created attachment 27022 [details]
Patch file

I would like to propose that a system property be added which would allow a JSP page that uses the extends page directive to take advantage of tag pooling.

Patch file included.
Comment 1 Mark Thomas 2011-05-19 10:51:59 UTC
Fixed in 7.0.x and will be in 7.0.15 onwards.

Proposed for 6.0.x.
Comment 2 Mark Thomas 2011-06-28 23:22:47 UTC
This has been fixed in 6.0.x and will be included in 6.0.33 onwards.